/**
 * Week 4 laboratory exercises.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */

import java.io.*;

public class Week4
{
    final int maxSize = 100;

    /**
     * Read an integer array from standard input. Enter one number per line,
     * finishing with an empty line. THIS METHOD CONTAINS STATEMENTS THAT
     * YOU DON'T NEED TO KNOW ABOUT FOR NOW.
     * 
     * @return  the array of numbers read
     */
    public int[] readArray()
    {
        // Create a reader object that reads from standard input
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
        int tmp[] = new int[maxSize];
        int nRead = 0;
        
        System.out.println("Enter numbers, one per line. Finish with an empty line");
        // Read one line and create a string to assign
        for (;;)
        {
            try
            {
                String line = reader.readLine();
                int n = Integer.parseInt(line);
                if (nRead < tmp.length)
                    tmp[nRead] = n;
                nRead++;
            }
            catch (IOException e)
            {
                System.err.println("Something went wrong with readLine: " + e.getMessage());
            }
            catch (NumberFormatException e)
            {
                break;
            }
        }
        if (nRead > tmp.length)
            System.err.println(" WARNING! The array is not big enough to store all the elements");
        
        int[] R = new int[nRead];
        for (int i = 0; i < nRead; i++)
            R[i] = tmp[i];
        return R;
    }

    /**
     * Print an array of integers
     *
     * @param  R an array of integers
     */
    public void printArray(int[] R)
    {
        for (int i: R)
            System.out.print(i + "  ");
        System.out.println();
    }

    /**
     * Add two arrays to produce a third array
     * First check that both arrays are the length
     * (i.e. add corresponding elements and 
     *
     * @param  R1  a sample parameter for a method
     * @param  R2  a sample parameter for a method
     * @return an array the is sum of the corresponding elements
     */
    public int[] arrayAdd(int[] R1, int[] R2)
    {
        // Put our code here
    }

    /**
     * Calculate the dot product of two arrays.
     * First check that both arrays are the length
     * (i.e. multiple corresponding elements and sum all products)
     * 
     * @param  R1  an integer array
     * @param  R2  an integer array
     * @return     the integer result
     */
    public int dotProduct(int[] R1, int[] R2)
    {
        // Put our code here
    }

    /**
     * Read two arrays then:
     * - call arrayAdd and call printArray to print the resulting array
     * - call dotProduct and print the result
     */
    public void main()
    {
        // Put our code here
    }
 }
